Subject: bug#508: emacs 22.2.1 becomes confused

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Jun 2008 23:01:37 +0300

> Date: Mon, 30 Jun 2008 11:12:57 -0700
> From: "Bruce Korb" <[email-masked]>
> Cc: [email-masked]
> 
> On Mon, Jun 30, 2008 at 10:53 AM, Sven Joachim <[email-masked]> wrote:
> > The following patch tries to take care of this by matching the home
> > directory case-sensitively on systems which usually have such
> > filesystems, could you please test it?
> 
> Sure, but given you reproduced the problem and that this fixed it
> for you, I'm guessing it will work.  Now, where does this file live?
> I know I can find it if I look hard enough, but the easy search
> only yielded /usr/share/emacs/22.2/lisp/files.elc

You probably didn't installed the Lisp sources.  But don't hurry to do
that yet: files.el is preloaded into Emacs, so to make that change you
will have to rebuild Emacs, not just patch files.el.